> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Billing Occurrence

```jsonc Body raw (json) wrap expandable theme={null}
{
  "billing_occurrence_id",// required | integer | existing billing occurrence id
  "invoice_id"// required | integer | existing invoice id | description: not an estimate, must belong to the agreement customer, and the occurrence must not already have a different invoice
}
```


## OpenAPI

````yaml post /maintenance-agreements/billing-connect
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Maintenance Agreements
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /maintenance-agreements/billing-connect:
    post:
      tags:
        - Maintenance Agreements
      summary: Connect Billing Occurrence
      operationId: postMaintenanceAgreementsBillingConnect
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                billing_occurrence_id:
                  type: integer
                  description: Existing billing occurrence id.
                invoice_id:
                  type: integer
                  description: >-
                    Not an estimate, must belong to the agreement customer, and
                    the occurrence must not already have a different invoice.
                    Existing invoice id.
              required:
                - billing_occurrence_id
                - invoice_id
            example:
              billing_occurrence_id: 1
              invoice_id: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: false when the request succeeds.
                    example: false
                  response:
                    type: object
              example:
                error: true
                errors:
                  - error message
                  - error message
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [How to Create a Maintenance Agreement](https://help.fieldpulse.com/jobs/assets/maintenance-agreements.md)
- [Payment Provider Options Overview](https://help.fieldpulse.com/payments/getting-started/payment-provider-options.md)
- [User Roles and Permissions Details](https://help.fieldpulse.com/settings/users-teams/user-roles.md)
- [Maintenance Agreements Overview](https://help.fieldpulse.com/jobs/assets/maintenance-agreements-overview.md)
- [QuickBooks Online Overview](https://help.fieldpulse.com/integrations/accounting/quickbooks-online/overview.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.